Bug Hunting Session
Bug 63317 - Format Paintbrush does not always update the format of a paragraph.
Summary: Format Paintbrush does not always update the format of a paragraph.
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86-64 (AMD64) All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-09 14:28 UTC by Alicia C Simpson
Modified: 2014-06-01 20:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alicia C Simpson 2013-04-09 14:28:50 UTC
I do not understand why the format paintbrush does not always copy the full formatting of one paragraph to another.  I believe it has to do with prior application of formats.

When I use the format paintbrush I fully expect that ALL the formatting of the selected paragraph will be applied to the new paragraph.

I just changed the formatting of a paragraph to include a drop cap and add a small space above the paragraph.  However when I selected the changed paragraph, double clicked on the Format Paintbrush and then clicked on another paragraph, NONE of the new formatting was applied to the new paragraph.

I ended up having to change each of the paragraphs I wanted to have the new formatting individually.

Essentially, the format paintbrush, which I use ALL THE TIME, is of limited value.

Also, why do you have to make it SO HARD to submit a little feedback!!
Comment 1 Joel Madero 2013-04-09 15:11:36 UTC
Hm as for the last question, how would you suggest we make it easier? You could have submitted through Bug Submission Assistant (BSA) which some users find to be easier than FreeDesktop.Org (FDO) - https://www.libreoffice.org/get-help/bug/

As for the rest, I need to mark this as NEEDINFO. We need to know what isn't being copied, have reproducible steps & a test document if at all possible. 


If you cannot determine any reproducible steps (that are consistently a problem), give us as much detail as possible as to what isn't being copied over with format paintbrush. Once you do these things mark as UNCONFIRMED again and we will investigate.
Comment 2 Owen Genat (retired) 2013-04-15 12:53:39 UTC
Joel Madero / Rainer Bielefeld I am sure you are both aware of the various pseudo-duplicate collection of bugs relating to the Format Paintbrush toolbar button not appearing to copy paragraph and character style (and / or toolbar-applied formats) correctly. I just wanted to collect a cross-reference of some of the bugs here for convenience. This is not the latest or the earliest bug, but at least Joel is on the CC list for this one. I did not know where it was best to place this information as some of these bugs have scant information and are likely to be closed if nothing further is presented. The v4.0.x series seems to have suffered a regression in this toolbar function as I get better results here under v3.5.7.2 (Linux) over v4.0.2.2 (Linux/Win7HP). I would clean up some of these myself but would like to run it past you both first, b/c as mentioned I am unsure which is best to leave as the parent bug.

FDO#63387 - v4.0.1.2 / Linux. Includes an example file, but unfortunately the character style is applied to the entire paragraph.
FDO#62715 - v4.0.2.1 rc / Linux. Little information provided.

These are earlier (different release series) bugs that appear to relate to similar issues:
FDO#57514, v3.6.3.2 / Windows. Rainer appears to be considering some of the issues presented.
FDO#50639, v3.5.4 / Windows. Summary edited to reflect subset problem of background highlight text color.

I have added myself to the CC list for this bug. Let me know if there is anything I can do to assist with platform / version testing.
Comment 3 Owen Genat (retired) 2013-10-26 11:03:57 UTC
The instructions in bug #59029 (comments 5 and 11 in particular) indicate that the format paintbrush facility has been altered to now only copy character attributes by default. 

Does the original problem still exist if the CTRL key is held down while painting? The indicated combination (Drop Caps and Spacing Above paragraph) seems to copy as expected using the Format Paintbrush tool here under Ubuntu 10.04 running LO v4.1.2.2. I tested this using a modified version of the test file I provided for bug #62708.
Comment 4 QA Administrators 2014-05-17 00:33:50 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 5 QA Administrators 2014-06-01 20:29:50 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO